#include QMK_KEYBOARD_H

enum custom_keycodes {
	OE = SAFE_RANGE,
	AA,
	AE,
	oe,
	aa,
	ae
};

/*bool process_record_user(uint16_t keycode, keyrecord_t *record) {
			
    switch(keycode) {
		case OE:
			if (record->event.pressed) {
				if (get_mods() & MOD_MASK_ALT) {
					
					SEND_STRING(SS_DOWN(X_RALT));
					SEND_STRING(SS_TAP(X_KP_0));
					SEND_STRING(SS_TAP(X_KP_2));
					SEND_STRING(SS_TAP(X_KP_1));
					SEND_STRING(SS_TAP(X_KP_6));
					SEND_STRING(SS_UP(X_RALT));
		            return false;
				} else {
					SEND_STRING(SS_DOWN(X_RALT));
					SEND_STRING(SS_TAP(X_KP_0));
					SEND_STRING(SS_TAP(X_KP_2));
					SEND_STRING(SS_TAP(X_KP_4));
					SEND_STRING(SS_TAP(X_KP_8));
					SEND_STRING(SS_UP(X_RALT));
		            return false;
				}
	        }
	        break;
	    case AE:
			if (record->event.pressed) {
				if (get_mods() & MOD_MASK_ALT) {
					SEND_STRING(SS_DOWN(X_RALT));
					SEND_STRING(SS_TAP(X_KP_0));
					SEND_STRING(SS_TAP(X_KP_1));
					SEND_STRING(SS_TAP(X_KP_9));
					SEND_STRING(SS_TAP(X_KP_8));
					SEND_STRING(SS_UP(X_RALT));
		            return false;
				} else {
					SEND_STRING(SS_DOWN(X_RALT));
					SEND_STRING(SS_TAP(X_KP_0));
					SEND_STRING(SS_TAP(X_KP_2));
					SEND_STRING(SS_TAP(X_KP_3));
					SEND_STRING(SS_TAP(X_KP_0));
					SEND_STRING(SS_UP(X_RALT));
		            return false;
				}
	        }
	        break;
	    case AA:
			if (record->event.pressed) {
				if (get_mods() & MOD_MASK_ALT) {
					SEND_STRING(SS_DOWN(X_RALT));
					SEND_STRING(SS_TAP(X_KP_0));
					SEND_STRING(SS_TAP(X_KP_1));
					SEND_STRING(SS_TAP(X_KP_9));
					SEND_STRING(SS_TAP(X_KP_7));
					SEND_STRING(SS_UP(X_RALT));
		            return false;
				} else {
					SEND_STRING(SS_DOWN(X_RALT));
					SEND_STRING(SS_TAP(X_KP_0));
					SEND_STRING(SS_TAP(X_KP_2));
					SEND_STRING(SS_TAP(X_KP_2));
					SEND_STRING(SS_TAP(X_KP_9));
					SEND_STRING(SS_UP(X_RALT));
		            return false;
				}
	        }
	        break;
    }
    return true;
};*/


bool process_record_user(uint16_t keycode, keyrecord_t *record) {
			
    switch(keycode) {
		case OE:
			if (record->event.pressed) {	
				SEND_STRING(SS_DOWN(X_RALT));
				SEND_STRING(SS_TAP(X_KP_0));
				SEND_STRING(SS_TAP(X_KP_2));
				SEND_STRING(SS_TAP(X_KP_1));
				SEND_STRING(SS_TAP(X_KP_6));
				SEND_STRING(SS_UP(X_RALT));
	            return false;
	        }
	        break;
		case oe:
			if (record->event.pressed) {
				SEND_STRING(SS_DOWN(X_RALT));
				SEND_STRING(SS_TAP(X_KP_0));
				SEND_STRING(SS_TAP(X_KP_2));
				SEND_STRING(SS_TAP(X_KP_4));
				SEND_STRING(SS_TAP(X_KP_8));
				SEND_STRING(SS_UP(X_RALT));
	            return false;
	        }
	        break;
	    case AE:
			if (record->event.pressed) {
				SEND_STRING(SS_DOWN(X_RALT));
				SEND_STRING(SS_TAP(X_KP_0));
				SEND_STRING(SS_TAP(X_KP_1));
				SEND_STRING(SS_TAP(X_KP_9));
				SEND_STRING(SS_TAP(X_KP_8));
				SEND_STRING(SS_UP(X_RALT));
	            return false;
	        }
	        break;
	    case ae:
			if (record->event.pressed) {
				SEND_STRING(SS_DOWN(X_RALT));
				SEND_STRING(SS_TAP(X_KP_0));
				SEND_STRING(SS_TAP(X_KP_2));
				SEND_STRING(SS_TAP(X_KP_3));
				SEND_STRING(SS_TAP(X_KP_0));
				SEND_STRING(SS_UP(X_RALT));
	            return false;
	        }
	        break;
	    case AA:
			if (record->event.pressed) {
				SEND_STRING(SS_DOWN(X_RALT));
				SEND_STRING(SS_TAP(X_KP_0));
				SEND_STRING(SS_TAP(X_KP_1));
				SEND_STRING(SS_TAP(X_KP_9));
				SEND_STRING(SS_TAP(X_KP_7));
				SEND_STRING(SS_UP(X_RALT));
	            return false;
	        }
	        break;
		case aa:
			if (record->event.pressed) {
				SEND_STRING(SS_DOWN(X_RALT));
				SEND_STRING(SS_TAP(X_KP_0));
				SEND_STRING(SS_TAP(X_KP_2));
				SEND_STRING(SS_TAP(X_KP_2));
				SEND_STRING(SS_TAP(X_KP_9));
				SEND_STRING(SS_UP(X_RALT));
	            return false;
	        }
	        break;
    }
    return true;
};


const uint16_t PROGMEM keymaps[][MATRIX_ROWS][MATRIX_COLS] = {

	  /* Layer 0, default layer
		____________________________________________________________________________________________________________________________________________________________________________
		|        |        |        |        |        |        |        |        |        |        |        |        |        |        |        |        |        |        |        |
		| ESC*   |   F1   |   F2   |   F3   |   F4   |   F5   |   F6   |   F7   |   F8   |   F9   |  F10   |  F11   |  F12   | P SCN  |   DEL  |  HOME  |  END   |  P UP  | P DOWN |
		|________|________|________|________|________|________|________|________|________|________|________|________|________|________|________|________|________|________|________|
		|        |        |        |        |        |        |        |        |        |        |        |        |        |                 |  NUM   |        |        |        |
		|  ~`    |   1    |   2    |   3    |   4    |   5    |   6    |   7    |   8    |   9    |   0    |  _ -   | =  +   |    BACKSPACE    |  LOCK  |   /    |  *     |   -    |
		|________|________|________|________|________|________|________|________|________|________|________|________|________|_________________|________|________|________|________|
		|            |        |        |        |        |        |        |        |        |        |        |  [     |   ]    |             |        |        |        |        |
		|    TAB     |   Q    |   W    |   E    |   R    |   T    |   Y    |   U    |   I    |   O    |   P    |  {     |   }    |  |   \      |   7    |   8    |   9    |        |
		|____________|________|________|________|________|________|________|________|________|________|________|________|________|_____________|________|________|________|   +    |
		|              |        |        |        |        |        |        |        |        |        |   ;    |   '    |                    |        |        |        |        |
		|   CAPS LOCK  |   A    |   S    |   D    |   F    |   G    |   H    |   J    |   K    |   L    |   :    |   "    |       ENTER        |   4    |   5    |   6    |        |
		|______________|________|________|________|________|________|________|________|________|________|________|________|____________________|________|________|________|________|
		|                  |        |        |        |        |        |        |        |   ,    |    .   |   /    |                |        |        |        |        |        |
		|  SHIFT           |   Z    |   X    |   C    |   V    |   B    |   N    |   M    |   <    |    >   |   ?    |       SHIFT    |   UP   |   1    |   2    |   3    |        |
		|_________ ________|________|________|________|________|________|________|________|________|________|________|________________|________|________|________|________|  ENTER |
		|          |          |          |                                                        |        |   MOD  |   MOD  |        |        |        |        |        |        |
		| CTRL     |   LGUI   | L ALT    |                      SPACE                             | R ALT  |    1   |    2   |  LEFT  |  DOWN  | RIGHT  |   0    |   .    |        |
		|__________|__________|__________|________________________________________________________|________|________|________|________|________|________|________|________|________|
		*/

	[0] = LAYOUT_hotswap(
		KC_ESC,	       KC_F1,   KC_F2,   KC_F3,   KC_F4,   KC_F5,   KC_F6,   KC_F7,   KC_F8,   KC_F9,   KC_F10,  KC_F11,  KC_F12,  KC_PSCR, KC_DEL,  KC_HOME, KC_END,  KC_PGUP, KC_PGDN, 
		KC_GRV,	       KC_1,    KC_2,    KC_3,    KC_4,    KC_5,    KC_6,    KC_7,    KC_8,    KC_9,    KC_0,    KC_MINS, KC_EQL,  KC_BSPC,          KC_NLCK, KC_PSLS, KC_PAST, KC_PMNS, 
		KC_TAB,        KC_Q,    KC_W,    KC_E,    KC_R,    KC_T,    KC_Y,    KC_U,    KC_I,    KC_O,    KC_P,    KC_LBRC, KC_RBRC, KC_BSLS,          KC_P7,   KC_P8,   KC_P9,   
		
		LT(1,KC_CAPS), KC_A,    KC_S,    KC_D,    KC_F,    KC_G,    KC_H,    KC_J,    KC_K,    KC_L,    KC_SCLN, KC_QUOT, KC_ENT,                    KC_P4,   KC_P5,   KC_P6,   KC_PPLS, 
		KC_LSFT,       KC_Z,    KC_X,    KC_C,    KC_V,    KC_B,    KC_N,    KC_M,    KC_COMM, KC_DOT,  KC_SLSH, KC_RSFT,                   KC_UP,   KC_P1,   KC_P2,   KC_P3,   
		KC_LCTL,       KC_LGUI, KC_LALT,                   KC_SPC,                             KC_RALT, MO(1),   MO(2),            KC_LEFT, KC_DOWN, KC_RGHT, KC_P0,   KC_PDOT, KC_PENT),



	  /* Layer 1, function layer
		____________________________________________________________________________________________________________________________________________________________________________
		|        |        |        |        |        |        |        |        |        |        |        |        |        |        |        |        |        |        |        |
		| RESET  |        |        |        |        |        |        |        |        |        |        |        |        |        | INSERT |  PLAY  |  STOP  |  PREV  |  NEXT  |
		|________|________|________|________|________|________|________|________|________|________|________|________|________|________|________|________|________|________|________|
		|        |        |        |        |        |        |        |        |        |        |        |        |        |        |        |  RGB   |  RGB   |        |        |
		|        |        |        |        |        |        |        |        |        |        |        |        |        |        |        |  MODE+ |  MODE- |        |        |
		|________|________|________|________|________|________|________|________|________|________|________|________|________|________|________|________|________|________|________|
		|            |        |        |        |        |        |        |        |        |        |        |        |        |             |  HUE   |  HUE   |        |        |
		|            |        |        |        |        |        |        |        |        |        |        |    aa  |        |             |INCREASE| DCRSE  |        |        |
		|____________|________|________|________|________|________|________|________|________|________|________|________|________|_____________|________|________|________|        |
		|              |        |        |        |        |        |        |        |        |        |        |        |                    | SATUR. | SATUR. |        |        |
		| TRANS        |        |        |        |        |        |        |        |        |        |    ae  |    oe  |                    |INCREASE| DCRSE  |        |        |
		|______________|________|________|________|________|________|________|________|________|________|________|________|____________________|________|________|________|________|
		|         |        |        |        |        |        |        |        |        |        |        |        |                |        | VALUE  | VALUE  |        |        |
		|         |        |        |        |        |        |        |        |        |  VOL+  |  VOL-  |  MUTE  |                |        |INCREASE| DCRSE  |        |  RGB   |
		|_________|________|________|________|________|________|________|________|________|________|________|________|________________|________|________|________|________| TOGGLE |
		|          |          |          |                                                        |        |        |        |        |        | EFFECT | EFFECT |        |        |
		|          |          |          |                                                        |        |  TRANS |  TRANS |        |        |INCREASE| DCRSE  |        |        |
		|__________|__________|__________|________________________________________________________|________|________|________|________|________|________|________|________|________|
		*/

	[1] = LAYOUT_hotswap(
		RESET,         KC_NO,   KC_NO,   KC_NO,   KC_NO,   KC_NO,   KC_NO,   KC_NO,   KC_NO,   KC_NO,   KC_NO,   KC_NO,   KC_NO,   KC_NO,   KC_INS,  KC_MPLY, KC_MSTP, KC_MRWD, KC_MFFD, 
		KC_NO,         KC_NO,   KC_NO,   KC_NO,   KC_NO,   KC_NO,   KC_NO,   KC_NO,   KC_NO,   KC_NO,   KC_NO,   KC_NO,   KC_NO,   KC_NO,            RGB_MOD, RGB_RMOD,KC_NO,   KC_NO,   
		KC_NO,         KC_NO,   KC_NO,   KC_NO,   KC_NO,   KC_NO,   KC_NO,   KC_NO,   KC_NO,   KC_NO,   KC_NO,   aa,      KC_NO,   KC_NO,            RGB_HUI, RGB_HUD, KC_NO,   

		KC_TRNS,       KC_NO,   KC_NO,   KC_NO,   KC_NO,   KC_NO,   KC_NO,   KC_NO,   KC_NO,   KC_NO,   ae,      oe,      KC_NO,                     RGB_SAI, RGB_SAD, KC_NO,   KC_NO,   
		KC_NO,         KC_NO,   KC_NO,   KC_NO,   KC_NO,   KC_NO,   KC_NO,   KC_NO,   KC_NO,   KC_VOLU, KC_VOLD, KC_MUTE,                   KC_NO,   RGB_VAI, RGB_VAD, KC_NO,   
		KC_NO,         KC_NO,   KC_NO,                     KC_NO,                              KC_NO,   KC_TRNS, KC_TRNS,          KC_NO,   KC_NO,   RGB_SPI, RGB_SPD, KC_NO,   RGB_TOG),
	  
	  /* Layer 2, function layer
		____________________________________________________________________________________________________________________________________________________________________________
		|        |        |        |        |        |        |        |        |        |        |        |        |        |        |        |        |        |        |        |
		|        |        |        |        |        |        |        |        |        |        |        |        |        |        |        |        |        |        |        |
		|________|________|________|________|________|________|________|________|________|________|________|________|________|________|________|________|________|________|________|
		|        |        |        |        |        |        |        |        |        |        |        |        |        |        |        |        |        |        |        |
		|        |        |        |        |        |        |        |        |        |        |        |        |        |        |        |        |        |        |        |
		|________|________|________|________|________|________|________|________|________|________|________|________|________|________|________|________|________|________|________|
		|            |        |        |        |        |        |        |        |        |        |        |        |        |             |        |        |        |        |
		|            |        |        |        |        |        |        |        |        |        |        |    AA  |        |             |        |        |        |        |
		|____________|________|________|________|________|________|________|________|________|________|________|________|________|_____________|________|________|________|        |
		|              |        |        |        |        |        |        |        |        |        |        |        |                    |        |        |        |        |
		| TRANS        |        |        |        |        |        |        |        |        |        |    AE  |    OE  |                    |        |        |        |        |
		|______________|________|________|________|________|________|________|________|________|________|________|________|____________________|________|________|________|________|
		|         |        |        |        |        |        |        |        |        |        |        |        |                |        |        |        |        |        |
		|         |        |        |        |        |        |        |        |        |        |        |        |                |        |        |        |        |        |
		|_________|________|________|________|________|________|________|________|________|________|________|________|________________|________|________|________|________|        |
		|          |          |          |                                                        |        |        |        |        |        |        |        |        |        |
		|          |          |          |                                                        |        |  TRANS |  TRANS |        |        |        |        |        |        |
		|__________|__________|__________|________________________________________________________|________|________|________|________|________|________|________|________|________|
		*/

	[2] = LAYOUT_hotswap(
		KC_NO,         KC_NO,   KC_NO,   KC_NO,   KC_NO,   KC_NO,   KC_NO,   KC_NO,   KC_NO,   KC_NO,   KC_NO,   KC_NO,   KC_NO,   KC_NO,   KC_NO,  KC_MPLY, KC_MSTP, KC_MRWD, KC_MFFD, 
		KC_NO,         KC_NO,   KC_NO,   KC_NO,   KC_NO,   KC_NO,   KC_NO,   KC_NO,   KC_NO,   KC_NO,   KC_NO,   KC_NO,   KC_NO,   KC_NO,            RGB_MOD, RGB_RMOD,KC_NO,   KC_NO,   
		KC_NO,         KC_NO,   KC_NO,   KC_NO,   KC_NO,   KC_NO,   KC_NO,   KC_NO,   KC_NO,   KC_NO,   KC_NO,   AA,      KC_NO,   KC_NO,            RGB_HUI, RGB_HUD, KC_NO,   

		KC_TRNS,       KC_NO,   KC_NO,   KC_NO,   KC_NO,   KC_NO,   KC_NO,   KC_NO,   KC_NO,   KC_NO,   AE,      OE,      KC_NO,                     RGB_SAI, RGB_SAD, KC_NO,   KC_NO,   
		KC_NO,         KC_NO,   KC_NO,   KC_NO,   KC_NO,   KC_NO,   KC_NO,   KC_NO,   KC_NO,   KC_NO,   KC_NO,   KC_NO,                     KC_NO,   RGB_VAI, RGB_VAD, KC_NO,   
		KC_NO,         KC_NO,   KC_NO,                     KC_NO,                              KC_NO,   KC_TRNS, KC_TRNS,          KC_NO,   KC_NO,   RGB_SPI, RGB_SPD, KC_NO,   RGB_TOG)
};
