#pragma once
#include "keymap.h"

enum unicode_names {
	
    ae,
    s_ae,
    oe,
    s_oe,
    aa,
    s_aa,
    
};

const uint32_t PROGMEM unicode_map[] = {
	
    [ae]  = 0x00E6,   // 
    [s_ae]  = 0x00C6,   // Æ
    [oe] = 0x00F8, // ø
    [s_oe] = 0x00D8, //Ø
    [aa] = 0x00E5, //å
    [s_aa] = 0x00C5, //Å
    
};


#define MK_LTGT XP(lt,gt) // >

#define DK_AA XP(aa,s_aa) // Å
#define DK_AE   XP(ae, s_ae) // Æ
#define DK_OE XP(oe,s_oe) // Ø
